> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the Agent Allow list

> Get the list of projects the Agent is restricted to only when the agent has the property `restrictedAccess` set to true.

If `restrictedAccess` is set to true and the list of projects is empty, then the Agent will not be applicable to be assigned to any project.

If `restrictedAccess` is set to false for the Agent, then restriction to these projects will not be enforced.



## OpenAPI

````yaml /openapi/public-api-endpoint-reference.yaml get /v1/agents/{agentId}/allowlist
openapi: 3.1.0
info:
  title: Maia Public REST API
  version: '1.0'
servers:
  - description: EU1
    url: https://eu1.api.matillion.com/dpc
  - description: US1
    url: https://us1.api.matillion.com/dpc
security:
  - bearerAuth: []
tags:
  - description: Manage Schedules
    name: Schedules
  - description: Manage Connections
    name: Connections
  - description: Operations for managing Project Variables
    name: Project Variables
  - description: Manage Pipelines
    name: Pipelines
  - description: Review pipelines against quality rules
    name: Pipeline Quality Review
  - description: Execute tests within a project
    name: Test Execution
  - description: Manage your AI agent tasks
    name: AI Agent Tasks
  - description: SCIM endpoints for user/group permission management
    name: Directory Integration
  - description: Publish shared pipeline artifacts
    name: Shared Pipeline Artifacts
  - description: Manage Repositories
    name: Repositories
  - description: Report on Credit Consumption
    name: Consumption
  - description: Manage Artifacts
    name: Artifacts
  - description: Operations for data lineage and governance
    name: Data Lineage
  - description: Manage Streaming Pipelines
    name: Streaming Pipelines
  - description: Execute a pipeline
    name: Pipeline Execution
  - description: ''
    name: Environments
  - description: ''
    name: Projects
  - description: Manage Agents
    name: Agents
  - description: Operations for managing Environment-level Overrides of Project Variables
    name: Project Variable Environment Overrides
  - description: Query audit events
    name: Audit Events
  - description: Connector Profiles
    name: Connectors
paths:
  /v1/agents/{agentId}/allowlist:
    get:
      tags:
        - Agents
      summary: Get the Agent Allow list
      description: >-
        Get the list of projects the Agent is restricted to only when the agent
        has the property `restrictedAccess` set to true.


        If `restrictedAccess` is set to true and the list of projects is empty,
        then the Agent will not be applicable to be assigned to any project.


        If `restrictedAccess` is set to false for the Agent, then restriction to
        these projects will not be enforced.
      operationId: getAgentAccessList
      parameters:
        - description: The ID of the agent having the allow list set
          in: path
          name: agentId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentAccessResponse'
          description: Agent allow list successfully retrieved
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
                example:
                  type: https://api.matillion.com/problems/bad-request
                  title: Bad request
                  status: 400
                  detail: >-
                    Invalid request format. Please check the parameters
                    supplied.
                  instance: /v1/agents/{agentId}/allowlist
          description: Invalid request parameters used
        '403':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
                example:
                  type: https://api.matillion.com/problems/forbidden
                  title: Forbidden
                  status: 403
                  detail: You do not have permission to access this resource.
                  instance: /v1/agents/{agentId}/allowlist
          description: Forbidden
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
                example:
                  type: https://api.matillion.com/problems/not-found
                  title: Not Found
                  status: 404
                  detail: None found
                  instance: /v1/agents/{agentId}/allowlist
          description: Agent not found
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
                example:
                  type: https://api.matillion.com/problems/internal-server-error
                  title: Internal Server Error
                  status: 500
                  detail: Unexpected error occurred while processing the request.
                  instance: /v1/agents/{agentId}/allowlist
          description: Unexpected error occurred
components:
  schemas:
    AgentAccessResponse:
      type: object
      properties:
        projects:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ProjectDetails'
          description: >-
            The list of projects the Agent is scoped to. Each project will be
            displayed as an object with the Project ID as the key.
          example:
            projects:
              3fa85f64-5717-4562-b3fc-2c963f66afa6:
                environments:
                  - dev
                  - prod
              1398aa31-af57-4a6a-9752-27c2e8556c3f:
                environments:
                  - prod
      required:
        - projects
    ProblemDetail:
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
        status:
          type: integer
          format: int32
        title:
          type: string
        type:
          type: string
          format: uri
        violations:
          type: array
          items:
            type: string
    ProjectDetails:
      type: object
      properties:
        environments:
          type: array
          description: >-
            The list of environments that the agent can access within this
            project
          example:
            - dev
            - prod
          items:
            type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: a valid bearer token
      scheme: bearer
      type: http

````